"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const MouseMonitor_1 = __importDefault(require("./MouseMonitor"));
/**
 * A container for a highlight component that monitors whether a mouse is over a highlight
 * and over some secondary/popup content. This does not render any popup/tip,
 * but it should ideally be used to set the visible state / rendering of a popup.
 */
const MonitoredHighlightContainer = ({ onMouseOver, popupContent, onMouseOut, children, }) => {
    const mouseInRef = (0, react_1.useRef)(false); // Whether the mouse is over the child (highlight)
    // Create a mouse monitor for the popup content
    const monitorContent = (react_1.default.createElement(MouseMonitor_1.default, { onMoveAway: () => {
            if (mouseInRef.current) {
                return;
            }
            onMouseOut();
        }, paddingX: 60, paddingY: 30 }, popupContent));
    return (react_1.default.createElement("div", { onMouseEnter: () => {
            mouseInRef.current = true;
            onMouseOver(monitorContent);
        }, onMouseLeave: () => {
            mouseInRef.current = false;
        } }, children));
};
exports.default = MonitoredHighlightContainer;
//# sourceMappingURL=MonitoredHighlightContainer.js.map