"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTipContainerUtils = exports.useTipViewerUtils = exports.TipContainerContext = exports.TipViewerContext = void 0;
const react_1 = require("react");
exports.TipViewerContext = (0, react_1.createContext)(undefined);
exports.TipContainerContext = (0, react_1.createContext)(undefined);
const useTipViewerUtils = () => {
    const tipViewerUtils = (0, react_1.useContext)(exports.TipViewerContext);
    if (tipViewerUtils === undefined) {
        throw new Error("useTipViewerUtils must be used within a PdfHighlighter!");
    }
    return tipViewerUtils;
};
exports.useTipViewerUtils = useTipViewerUtils;
const useTipContainerUtils = () => {
    const tipContainerUtils = (0, react_1.useContext)(exports.TipContainerContext);
    if (tipContainerUtils === undefined) {
        throw new Error("useTipContainerUtils must be used within a tip inside of a PdfHighlighter!");
    }
    return tipContainerUtils;
};
exports.useTipContainerUtils = useTipContainerUtils;
//# sourceMappingURL=TipContext.js.map