import React, { CSSProperties, MouseEvent } from "react";
import "../style/AreaHighlight.css";
import type { LTWHP, ViewportHighlight } from "../types";
interface AreaHighlightProps {
    highlight: ViewportHighlight;
    /**
     * A callback function for when the highlight area is either finished
     * being moved or resized.
     * @param rect - The updated highlight area.
     */
    onChange?: (rect: LTWHP) => void;
    /** Whether the component is autoscrolled into view. */
    isScrolledTo?: boolean;
    /**
     * react-rnd bounds on the highlight area. This is useful for preventing the user
     * moving the highlight off the viewer/page.
     */
    bounds?: string | Element;
    onContextMenu?: (event: MouseEvent<HTMLDivElement>) => void;
    /**
     * Event called whenever the user tries to move or resize the AreaHighlight.
     */
    onEditStart?: () => void;
    style?: CSSProperties;
}
/**
 * A component for displaying and interacting with a rectangular highlight area.
 */
declare const AreaHighlight: ({ highlight, onChange, isScrolledTo, bounds, onContextMenu, onEditStart, style, }: AreaHighlightProps) => React.JSX.Element;
export default AreaHighlight;
