import React, { CSSProperties, MouseEvent } from "react";
import "../style/TextHighlight.css";
import type { ViewportHighlight } from "../types.js";
interface TextHighlightProps {
    highlight: ViewportHighlight;
    onClick?: () => void;
    onMouseOver?: () => void;
    onMouseOut?: () => void;
    /** Indicates whether the component is autoscrolled into view. */
    isScrolledTo: boolean;
    onContextMenu?: (event: MouseEvent<HTMLDivElement>) => void;
    style?: CSSProperties;
}
/**
 * A component for displaying a highlighted text area
 */
declare const TextHighlight: ({ highlight, onClick, onMouseOver, onMouseOut, isScrolledTo, onContextMenu, style, }: TextHighlightProps) => React.JSX.Element;
export default TextHighlight;
