import { createContext, useContext } from "react";
export const PdfLoaderContext = createContext(undefined);
export const usePdfDocument = () => {
    const pdfDocument = useContext(PdfLoaderContext);
    if (pdfDocument === undefined) {
        throw new Error("usePdfDocument must be used within a correctly configured PdfLoader component!");
    }
    return pdfDocument;
};
//# sourceMappingURL=PdfLoaderContext.js.map