import { createContext, useContext } from "react";
export const TipViewerContext = createContext(undefined);
export const TipContainerContext = createContext(undefined);
export const useTipViewerUtils = () => {
    const tipViewerUtils = useContext(TipViewerContext);
    if (tipViewerUtils === undefined) {
        throw new Error("useTipViewerUtils must be used within a PdfHighlighter!");
    }
    return tipViewerUtils;
};
export const useTipContainerUtils = () => {
    const tipContainerUtils = useContext(TipContainerContext);
    if (tipContainerUtils === undefined) {
        throw new Error("useTipContainerUtils must be used within a tip inside of a PdfHighlighter!");
    }
    return tipContainerUtils;
};
//# sourceMappingURL=TipContext.js.map